OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends | List of all members
cl::EnqueueArgs Class Reference

`#include <cl2.hpp>`

## Public Member Functions
| EnqueueArgs (NDRange global)
| EnqueueArgs (NDRange global, NDRange local)
| EnqueueArgs (NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange global)
| EnqueueArgs (Event e, NDRange global, NDRange local)
| EnqueueArgs (Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange global)
| EnqueueArgs (const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (const vector< Event > &events, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange global)
| EnqueueArgs (CommandQueue &queue, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, Event e, NDRange offset, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange global, NDRange local)
| EnqueueArgs (CommandQueue &queue, const vector< Event > &events, NDRange offset, NDRange global, NDRange local)

## Friends
template<typename... Ts>
class | KernelFunctor

## Constructor & Destructor Documentation

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global | ) |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | Event | e,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

cl::EnqueueArgs::EnqueueArgs | ( | CommandQueue & | queue,
|  | const vector< Event > & | events,
|  | NDRange | offset,
|  | NDRange | global,
|  | NDRange | local
| ) |  |
| inline

## Friends And Related Function Documentation

template<typename... Ts>

friend class KernelFunctor
| friend

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp